export class BaseNodeProvider {
    constructor({ uniqName, rateLimits }) {
        this._hasWebSocketUrl = false;
        this._isWebSocketConnected = false;
        this.uniqName = uniqName;
        this.rateLimits = rateLimits;
    }
    get httpClient() {
        return this._httpClient;
    }
    get wsClient() {
        return this._wsClient;
    }
    get hasWebSocketSupport() {
        return this._hasWebSocketUrl;
    }
    get isWebSocketConnected() {
        return this._hasWebSocketUrl && this._isWebSocketConnected;
    }
    healthcheckWebSocket() {
        if (!this._hasWebSocketUrl)
            return false;
        return this._isWebSocketConnected;
    }
}
